
# ========================
# AFC en R avec FactoMineR
# ========================

# Exemple d'analyse factorielle des correspondances (AFC), avec les donnes "paris2007.txt"
# rsultats du premier tour des lections prsidentielles de 2007 pour les 20 arrondissements
# de Paris et quelques communes de banlieue

paris = read.table("paris2007.txt", h=T, row.names="candidat") # la colonne "candidat" est l'identifiant

paris # pour voir...

fix(paris) # si on veut "diter" les donnes (refermer l'diteur pour continuer)

# Pour faire l'AFC on utilise la procdure "CA" du package "FactoMineR" qu'il convient
# donc de charger pralablement

# Attention "CA" en majuscule ! (c'est le choix des auteurs de FactoMineR)
  
library(FactoMineR) # pour charger le package "FactoMineR" suppos dj install
# alternative par script  la commande "Charger le package..." du menu "Packages"

help(CA) # si on veut lire l'aide de la commande "CA"

afcparis = CA(paris, col.sup=21:25) # les communes de banlieue en lments supplmentaires et plan 1-2

plot.CA(afcparis, axes=c(2,3)) # si on veut voir le plan 2-3 (procdure plot.CA du package)

# Les commandes lies  CA sont moins commodes que celles lies  PCA car les graphiques successifs se substituent et
# effacent les prcdents. Une manire de remdier  cela est, aprs avoir obtenu un premier graphique, de cliquer sur sa
# fentre, ce qui la rend active et donne accs aux menus droulants voulus. Dans le menu "Historique" on slectionne alors
# l'option "Enregistrer", et on peut par la suite se dplacer entre les diffrents graphiques produits via les commandes
# "Prcdent" et "Suivant"...

# Et pour les rsultats numriques

afcparis$eig # les valeurs propres, ou taux d'inertie, successives ("eigenvalues")
afcparis$row # ce qui concerne les lignes
afcparis$col # les colonnes
afcparis$col.sup # les colonnes supplmentaires

# On peut aussi passer par le R-Commander... (je ne le conseille pas)