# ====================================================================
# Script, ou programme, R illustrant l'Exercice II de la section Polys
# ====================================================================

aviation=read.table("aviation.csv", h=T, sep=";", dec=",")
# lecture des donnes, compte tenu de la forme du fichier cvs

aviation # pour voir
summary(aviation)

attach(aviation)
# pour pouvoir appeler directement les variables par leur nom

# passsage en logarithmes pour traiter par les mco le modle de type Cobb-Douglas
# sous sa forme linarise
lq=log(Q)
ll=log(L)
lk=log(K)

# premire rgression
reg1=lm(lq~ll+lk)
summary(reg1)

# rgression du modle transform pour tester l'hypothse linaire
lql=lq-ll
lkl=lk-ll
reg2=lm(lql~ll+lkl)
summary(reg2)

# cration de la dummy variable "ipr" notant le caractre priv d'une compagnie
# attention au "==" qui note un oprateur logique par opposition  une affectation
ipr=ifelse(PP=="prive",1,0)

# rgression du modle avec la dummy variable
reg3=lm(lq~ll+lk+ipr)
summary(reg3)

# rgression sur les seules compagnies prives, noter le paramtre "subset" avec
# une condition logique
reg4=lm(lq~ll+lk,subset=(PP=="prive"))
summary(reg4)

# rgression sur les seules compagnies publiques
reg5=lm(lq~ll+lk,subset=(PP=="publique"))
summary(reg5)

# calcul de la quantit permettant le test de Chow  partir des sommes des carrs
# des rsidus voulues. C'est un simple exercice de style,  partir de ces trois quantits
# ce serait plus vite fait " la main"...
chow=((sum(reg1$residuals^2)-(sum(reg4$residuals^2)+sum(reg5$residuals^2)))/3)/((sum(reg4$residuals^2)+sum(reg5$residuals^2))/(50-6))
chow
# et probabilit de dpasser une telle valeur pour la loi de Fisher voulue
pf(chow,3,44,lower.tail=FALSE)
